# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Env-Sanctify
Summary:	Lexically scoped sanctification of %%ENV
Version:	1.12
Release:	7.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Env-Sanctify/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Env-Sanctify-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test suite
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::More) >= 0.47
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Env::Sanctify is a module that provides lexically-scoped manipulation and
sanctification of %%ENV. You can specify that it alter or add additional
environment variables or remove existing ones according to a list of matching
regexen. You can then either restore the environment back manually or let the
object fall out of scope, which automagically restores. It's useful for
manipulating the environment that forked processes and sub-processes will
inherit.

%prep
%setup -q -n Env-Sanctify-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test AUTHOR_TESTING=1 RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README examples/
%{perl_vendorlib}/Env/
%{_mandir}/man3/Env::Sanctify.3*

%changelog
* Sun Aug 21 2016 Paul Howarth <paul@city-fan.org> - 1.12-7
- BR: perl-generators where available
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 1.12-3
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Mon Feb 17 2014 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Added test for sanctification plus adding an env variable

* Fri Sep 27 2013 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Release new dist with fixed compile test

* Thu Sep  5 2013 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08
  - Document caveats about redefining the sanctify object (CPAN RT#46929)
- BR: perl(IO::Handle) and perl(IPC::Open3) for the test suite
- Don't BR: perl(File::Temp), no longer used
- Run test suite with AUTHOR_TESTING

* Sat Jul  7 2012 Paul Howarth <paul@city-fan.org> - 1.06-2
- BR: perl(File::Temp) for test suite

* Thu Mar 15 2012 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06
  - Convert distribution to dzil using dzooky (fixes CPAN RT#75714)
- BR: perl(Pod::Coverage::TrustPod)
- Module::Install no longer bundled, so drop buildreqs needed by it
- Drop UTF8 patch, no longer needed
- Add patch to support building with ExtUtils::MakeMaker < 6.30

* Mon Mar 12 2012 Paul Howarth <paul@city-fan.org> - 1.04-2
- Add buildreqs for modules used by bundled Module::Install (#802377)

* Mon Mar 12 2012 Paul Howarth <paul@city-fan.org> - 1.04-1
- Initial RPM package
